Page MenuHomePhabricator

Broken user rights email notification (test2wiki)
Closed, ResolvedPublic

Description

I received the following email notification for user rights change at test2wiki:

(log action: https://test2.wikipedia.org/w/index.php?title=Special:Log&type=rights&page=User%3AMatma+Rex&user=Luke081515)


(screenshot from Thunderbird)

Issues:

  • The image is broken.
  • None of the links at the bottom (Learn more – ‪Luke081515‬ – Public log) work in Thunderbird. In Gmail interface, the latter two work, but clicking "Learn more" displays an error page saying "The previous page is sending you to an invalid url (http:///wiki/Special:ListGroupRights).".
  • Escaped HTML is visible at the bottom (<a href="https://test2.wikipedia.org/wiki/Special:Preferences#mw-prefsection-echo" style="text-decoration:none; color: #3868B0;">check your preferences</a>).

Here's the full email with headings:

1Delivered-To: matma.rex@gmail.com
2Received: by 10.202.170.86 with SMTP id t83csp2373512oie;
3 Tue, 17 May 2016 15:50:38 -0700 (PDT)
4X-Received: by 10.55.70.66 with SMTP id t63mr4725918qka.173.1463525438072;
5 Tue, 17 May 2016 15:50:38 -0700 (PDT)
6Return-Path: <wiki-test2wiki-yt-o7cfgb-0KcNQgG5nvdapYYL@wikimedia.org>
7Received: from wiki-mail-eqiad.wikimedia.org (wiki-mail-eqiad.wikimedia.org. [208.80.154.91])
8 by mx.google.com with ESMTPS id e64si4084709qge.87.2016.05.17.15.50.37
9 for <matma.rex@gmail.com>
10 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
11 Tue, 17 May 2016 15:50:38 -0700 (PDT)
12Received-SPF: pass (google.com: domain of wiki-test2wiki-yt-o7cfgb-0KcNQgG5nvdapYYL@wikimedia.org designates 208.80.154.91 as permitted sender) client-ip=208.80.154.91;
13Authentication-Results: mx.google.com;
14 dkim=neutral (no key) header.i=@wikimedia.org;
15 spf=pass (google.com: domain of wiki-test2wiki-yt-o7cfgb-0KcNQgG5nvdapYYL@wikimedia.org designates 208.80.154.91 as permitted sender) smtp.mailfrom=wiki-test2wiki-yt-o7cfgb-0KcNQgG5nvdapYYL@wikimedia.org;
16 dmarc=pass (p=NONE dis=NONE) header.from=wikimedia.org
17DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=wikimedia.org; s=wiki-mail;
18 h=List-Unsubscribe:Message-ID:Date:Reply-To:From:Content-Type:MIME-Version:Subject:To; bh=UdYqSOLdWmHy9pmKY75zkFOKC4d8XyCiTXpaUKL1UFA=;
19 b=YVzde7s6yqNmTqtygMsVLrYAl9KykUySlW5O2lfKHDDRm399y1RLRa5fT2zVZusCa2PGcGaVUhaE49HgBLOt6/aM6ECvWVFJumD+lkbtTG3LIR0ykkE5Fh5F6NvncDwaUhrCLCL8gCgGtTuXhXU78qTmp472cKcsrQzwnS1WGiI=;
20Received: from [2620:0:861:101:862b:2bff:fe77:4d2f] (port=44157 helo=mw1006.eqiad.wmnet)
21 by mx1001.wikimedia.org with esmtp (Exim 4.84_2)
22 (envelope-from <wiki-test2wiki-yt-o7cfgb-0KcNQgG5nvdapYYL@wikimedia.org>)
23 id 1b2noy-0003Cr-4P
24 for matma.rex@gmail.com; Tue, 17 May 2016 22:50:37 +0000
25Received: from www-data by mw1006.eqiad.wmnet with local (Exim 4.82)
26 (envelope-from <wiki-test2wiki-yt-o7cfgb-0KcNQgG5nvdapYYL@wikimedia.org>)
27 id 1b2noy-0000GA-10
28 for matma.rex@gmail.com; Tue, 17 May 2016 22:50:36 +0000
29To: Matma Rex <matma.rex@gmail.com>
30Subject: Your user rights have changed on Wikipedia
31MIME-Version: 1.0
32Content-Type: multipart/alternative; boundary="=_c2034bdb2a9f03ad014464236dfc7205"
33From: Wikipedia <wiki@wikimedia.org>
34Reply-To: No Reply <wiki@wikimedia.org>
35Date: Tue, 17 May 2016 22:50:35 +0000
36Message-ID: <test2wiki.573ba03b6afb95.10757006@test2.wikipedia.org>
37X-Mailer: MediaWiki mailer
38List-Unsubscribe: <https://test2.wikipedia.org/wiki/Special:Preferences>
39
40--=_c2034bdb2a9f03ad014464236dfc7205
41Content-Transfer-Encoding: quoted-printable
42Content-Type: text/plain; charset=UTF-8
43
44Your user rights were changed. You have been added to: =E2=80=AAEditors=E2=
45=80=AC, =E2=80=AAAutochecked users=E2=80=AC.
46
47trusted user
48
49Learn more: <https://test2.wikipedia.org/wiki/Special:ListGroupRights>
50
51=E2=80=AALuke081515=E2=80=AC: <https://test2.wikipedia.org/wiki/User:Luke0=
5281515>
53
54Public log: <https://test2.wikipedia.org/w/index.php?title=3DSpecial:Log&t=
55ype=3Drights&page=3DUser%3AMatma+Rex&user=3DLuke081515>
56
57--
58
59To control which emails we send you, check your preferences:
60https://test2.wikipedia.org/wiki/Special:Preferences#mw-prefsection-echo
61
62Wikimedia Foundation, 149 New Montgomery St., 6th Fl., San Francisco, CA 94=
63105, USA
64--=_c2034bdb2a9f03ad014464236dfc7205
65Content-Transfer-Encoding: quoted-printable
66Content-Type: text/html; charset=UTF-8
67
68<html><head>
69 <meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3DUTF-8" /=
70>
71 <meta name=3D"viewport" content=3D"width=3Ddevice-width, initial-sc=
72ale=3D1.0" />
73 <style>
74 @media only screen and (max-width: 480px){
75 table[id=3D"email-container"]{max-width:600px !important; width:100% !im=
76portant;}
77 }
78 </style>
79</head><body>
80<table cellspacing=3D"0" cellpadding=3D"0" border=3D"0" width=3D"100%" alig=
81n=3D"center" lang=3D"en" dir=3D"ltr">
82<tr>
83 <td bgcolor=3D"#E6E7E8"><center>
84 <br /><br />
85 <table cellspacing=3D"0" cellpadding=3D"0" border=3D"0" width=3D"600" id=
86=3D"email-container">
87 <tr>
88 <td bgcolor=3D"#FFFFFF" width=3D"5%">&nbsp;</td>
89 <td bgcolor=3D"#FFFFFF" width=3D"10%">&nbsp;</td>
90 <td bgcolor=3D"#FFFFFF" width=3D"80%" style=3D"line-height:40px;">&nbsp=
91;</td>
92 <td bgcolor=3D"#FFFFFF" width=3D"5%">&nbsp;</td>
93 </tr><tr>
94 <td bgcolor=3D"#FFFFFF" rowspan=3D"2">&nbsp;</td>
95 <td bgcolor=3D"#FFFFFF" align=3D"center" valign=3D"top" rowspan=3D"2"><=
96img src=3D"/w/extensions/Echo/modules/icons/user-rights.svg" alt=3D"" heigh=
97t=3D"30" width=3D"30"></td>
98 <td bgcolor=3D"#FFFFFF" align=3D"left" style=3D"font-family: Arial, Hel=
99vetica, sans-serif; font-size:13px; line-height:20px; color:#6D6E70;">Your =
100user rights were changed. You have been added to: =E2=80=AAEditors=E2=80=AC=
101, =E2=80=AAAutochecked users=E2=80=AC.</td>
102 <td bgcolor=3D"#FFFFFF" rowspan=3D"2">&nbsp;</td>
103 </tr><tr>
104 <td bgcolor=3D"#FFFFFF" align=3D"left" style=3D"font-family: Arial, Hel=
105vetica, sans-serif; line-height: 20px; font-weight: 600;">
106 <table cellspacing=3D"0" cellpadding=3D"0" border=3D"0">
107 <tr>
108 <td bgcolor=3D"#FFFFFF" align=3D"left" style=3D"font-family: Arial, =
109Helvetica, sans-serif; padding-top: 8px; font-size:13px; font-weight: bold;=
110 color: #58585B;">
111 trusted user
112 </td>
113 </tr>
114 </table>
115 <table cellspacing=3D"0" cellpadding=3D"0" border=3D"0">
116 <tr>
117 <td bgcolor=3D"#FFFFFF" align=3D"left" style=3D"font-family: Arial, =
118Helvetica, sans-serif; font-size:14px; padding-top: 25px;">
119 <a href=3D"/wiki/Special:ListGroupRights" style=3D"cursor:pointer; =
120text-align:center; text-decoration:none; padding:.45em 0.6em .45em; color:#=
121D9EEF7; background:#3366BB; font-family: Arial, Helvetica, sans-serif;font-=
122size: 13px;">Learn more</a>&nbsp;&nbsp;<a href=3D"//test2.wikipedia.org/wik=
123i/User:Luke081515" style=3D"text-decoration: none;font-size: 10px;font-fami=
124ly: Arial, Helvetica, sans-serif; color: #808184;">=E2=80=AALuke081515=E2=
125=80=AC</a>&nbsp;&nbsp;<a href=3D"//test2.wikipedia.org/w/index.php?title=3D=
126Special:Log&amp;type=3Drights&amp;page=3DUser%3AMatma+Rex&amp;user=3DLuke08=
1271515" style=3D"text-decoration: none;font-size: 10px;font-family: Arial, He=
128lvetica, sans-serif; color: #808184;">Public log</a>
129 </td>
130 </tr>
131 </table>
132 </td>
133 </tr><tr>
134 <td bgcolor=3D"#FFFFFF">&nbsp;</td>
135 <td bgcolor=3D"#FFFFFF">&nbsp;</td>
136 <td bgcolor=3D"#FFFFFF" style=3D"line-height:40px;">&nbsp;</td>
137 <td bgcolor=3D"#FFFFFF">&nbsp;</td>
138 </tr><tr>
139 <td>&nbsp;</td>
140 <td>&nbsp;</td>
141 <td align=3D"left" style=3D"font-family: Arial, Helvetica, sans-serif; =
142font-size:10px; line-height:13px; color:#6D6E70; padding:10px 20px;"><br />
143 To control which emails we send you, &lt;a href=3D"<a class=3D"externa=
144l free" href=3D"https://test2.wikipedia.org/wiki/Special:Preferences#mw-pre=
145fsection-echo">https://test2.wikipedia.org/wiki/Special:Preferences#mw-pref=
146section-echo</a>" style=3D"text-decoration:none; color: #3868B0;"&gt;check =
147your preferences&lt;/a&gt;.<br/>
148Wikimedia Foundation, 149 New Montgomery St., 6th Fl., San Francisco, CA 94=
149105, USA
150 <br /><br />
151 </td>
152 <td>&nbsp;</td>
153 </tr><tr>
154 <td colspan=3D"4">&nbsp;</td>
155 </tr>
156 </table>
157 <br><br></center>
158 </td>
159</tr>
160</table>
161</body></html>
162--=_c2034bdb2a9f03ad014464236dfc7205--

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : wmf/1.28.0-wmf.2Expand URLs of icon and actions in HTML email formatter
mediawiki/extensions/Echo : masterExpand URLs of icon and actions in HTML email formatter

Event Timeline

matmarex created this task.May 18 2016, 2:23 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 2:23 PM

Interesting catch :D

Change 289423 had a related patch set uploaded (by Sbisson):
Expand action URLs in HTML email formatter

https://gerrit.wikimedia.org/r/289423

The image is broken.

Saw that before but I (wrongly) assumed it was the old issue with gmail not supporting svg. Turns out the url is incomplete.

None of the links at the bottom (Learn more – ‪Luke081515‬ – Public log) work in Thunderbird. In Gmail interface, the latter two work, but clicking "Learn more" displays an error page saying "The previous page is sending you to an invalid url (http:///wiki/Special:ListGroupRights).".

Good catch. Some urls are incomplete.

Escaped HTML is visible at the bottom (<a href="https://test2.wikipedia.org/wiki/Special:Preferences#mw-prefsection-echo" style="text-decoration:none; color: #3868B0;">check your preferences</a>).

Fixed yesterday: https://gerrit.wikimedia.org/r/#/c/289219/

SBisson claimed this task.May 18 2016, 3:18 PM

Change 289423 merged by jenkins-bot:
Expand URLs of icon and actions in HTML email formatter

https://gerrit.wikimedia.org/r/289423

Change 289503 had a related patch set uploaded (by Mattflaschen):
Expand URLs of icon and actions in HTML email formatter

https://gerrit.wikimedia.org/r/289503

Change 289503 merged by jenkins-bot:
Expand URLs of icon and actions in HTML email formatter

https://gerrit.wikimedia.org/r/289503

Mentioned in SAL [2016-05-18T23:27:59Z] <catrope@tin> Synchronized php-1.28.0-wmf.2/extensions/Echo/: SWAT: fix URLs in notification emails (T135625) (duration: 00m 35s)

In betalabs - the image in emails (gmail) does not get displayed; clicking on the image to open it in a tab gives

https://ci4.googleusercontent.com/proxy/P7PFMigw9ormn4cqCzg86ZEmlDm-HnLCZGNZWbalpai3zcYIfTBM88NMK7ftv1uMapKmYQuJquCl7ZL6mBdkdZRsgLb-xbXyon7n-mZZ-xQIOf5HPSkuNUgV2t3vaMwom-k9r96zNsGYcQ=s0-d-e1-ft#http://en.wikipedia.beta.wmflabs.org/w/extensions/Echo/modules/icons/user-rights.svg

404. That’s an error.

The requested URL /proxy/P7PFMigw9ormn4cqCzg86ZEmlDm-HnLCZGNZWbalpai3zcYIfTBM88NMK7ftv1uMapKmYQuJquCl7ZL6mBdkdZRsgLb-xbXyon7n-mZZ-xQIOf5HPSkuNUgV2t3vaMwom-k9r96zNsGYcQ=s0-d-e1-ft 
was not found on this server. 
That’s all we know.

In betalabs - the image in emails (gmail) does not get displayed; clicking on the image to open it in a tab gives

Yeah, unfortunately, that is a separate issue: T127794: Use PNG (not SVG) for notification emails so they work in Gmail.

Hmm, so the rest of this is fixed?

@Etonkovidova I granted you temporary adminrights at test2, if you need to check the functionality later.

Re-checked in test2 (thx to @Luke081515)

jmatazzoni closed this task as Resolved.May 26 2016, 7:58 PM